# Class MessageBatchStatus

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the status of a message batch.

    public static class MessageBatchStatus

Inheritance
  object
  MessageBatchStatus

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Canceling

The status of a message batch that is being canceled.

    public const string Canceling = "canceling"

#### Field Value

string

### Ended

The status of a message batch that has ended.

    public const string Ended = "ended"

#### Field Value

string

### InProgress

The status of a message batch that is in progress.

    public const string InProgress = "in_progress"

#### Field Value

string